apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName }}
type: Opaque

stringData:
  {{- with .Values.postgresTarget }}
  duplicationTargetConnection: {{ printf "postgres://%s:%s@%s:%s/%s?sslmode=%s" .username .password .hostname (.port | toString) .database .sslmode }}
  {{- end }}
